import { Routes } from '@angular/router';
import { Login } from './login/login';
import { Register } from './register/register';
import { Dashboard } from './dashboard/dashboard';
import { DashboardUsers } from './dashboard/dashboard-users/dashboard-users';

export const routes: Routes = [
  {
    path: '',
    loadComponent: () =>
      import('./dashboard/container/container').then((c) => c.Container),
    children: [
      {
        path: 'dashboard',
        component: Dashboard,
      },
      {
        path: 'users',
        component: DashboardUsers,
      },
    ],
  },
  {
    path: 'login',
    component: Login,
  },
  {
    path: 'register',
    component: Register,
  },
];
